Subject: Re: bug#19229: ispell on Windows

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 May 2015 23:08:49 +0300

> Date: Fri, 22 May 2015 20:55:52 +0100
> From: Alan Third <[email-masked]>
> Cc: [email-masked]
> 
> >> SEARCH PATH:
> >> .;;C:\Hunspell\;c:/users/thirda\.openoffice.org\3\user\wordbook;c:\Users\thirda\local\bin\..\share\hunspell;C:\Program
> >> files\OpenOffice.org 2.4\share\dict\ooo\;C:\Program
> >> files\OpenOffice.org 2.3\share\dict\ooo\;C:\Program
> >> files\OpenOffice.org 2.2\share\dict\ooo\;C:\Program
> >> files\OpenOffice.org 2.1\share\dict\ooo\;C:\Program
> >> files\OpenOffice.org 2.0\share\dict\ooo\
> >> AVAILABLE DICTIONARIES (path is not mandatory for -d option):
> >> c:\Users\thirda\local\bin\..\share\hunspell\default
> >> c:\Users\thirda\local\bin\..\share\hunspell\en_GB
> >> c:\Users\thirda\local\bin\..\share\hunspell\en_US
> >> Can't open affix or dictionary files for dictionary named "ENG".
> >>
> >> Creating an "ENG" dictionary fixes this.
> >
> > See, you don't have the "default" dictionary.
> 
> Look again, I do.

Oops, sorry.

> Emacs has set LANG to "ENG" so hunspell is ignoring "default".

That's OK, and is not a problem.  You need "default" for when Emacs
invokes Hunspell with "-d default", and also for invoking it from the
shell.

> And, again, copying en_GB to ENG solves it. I can deal with this.

Right, but then I don't understand why the other methods I mentioned
didn't work for you.  They do for me.

But perhaps it is not important anymore.

> Shall we call it quits?

Probably.